/*
 * protocol.h
 *
 * Copyright (c) 1995 by Jim Goodman
 *
 * ALL RIGHTS RESERVED.
 *
 * This source file is part of the SCI protocol module for the Wisconsin
 * Wind Tunnel, written by Alain K\"agi.
 *
 * Inspired by its dir1sw counterpart.
 */

#ifndef _protocol_h
#define _protocol_h

/* Type of a memory address: */

typedef unsigned long ADDR;

#ifndef BLOCK_SIZE

/* Cache block size (in bytes): */

#  define BLOCK_SIZE 64

/* Log base 2 of BLOCK_SIZE: */

#  define LOG2_BLOCK_SIZE 6

/* Mask to map addresses to cache blocks: */

#  define BLOCK_MASK (~0x3f)

#endif

#endif /* _protocol_h */



